Bug 1084085 - Improved Scala Ecosystem Support
Improved Scala Ecosystem Support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Petr Bokoc
ChangeAcceptedF21 SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 11:01 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-04-03 11:01:03 EDT
This is a tracking bug for Change: Improved Scala Ecosystem Support
For more details, see: http://fedoraproject.org//wiki/Changes/ImprovedScalaEcosystem

Fedora now supports several essential parts of the Scala language ecosystem as well as building packages with sbt, the de facto build tool for the Scala community.
Comment 1 Jaroslav Reznik 2014-07-04 06:43:42 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Jaroslav Reznik 2014-10-07 08:23:51 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 3 Petr Bokoc 2014-10-14 07:43:10 EDT
Release note added to the Development beat; it is strongly based on the note included on the Change wiki page in the original comment.
Comment 4 Will Benton 2014-10-14 10:09:32 EDT
I need to rebuild some packages for this change (I've recently taken over the Scala package and fixed it to work with Java 8) and would appreciate a brief extension on the beta deadline.  Otherwise, the change is complete (viz., everything worked before Java 8 went in).
Comment 5 Jaroslav Reznik 2014-10-15 08:04:04 EDT
Same as for Apache Spark, thanks for note.

Note You need to log in before you can comment on or make changes to this bug.